Package org.eclipse.cdt.core.dom.ast

# Interface IASTEnumerationSpecifier.IASTEnumerator

All Superinterfaces:
  `IASTAttributeOwner`, `IASTNameOwner`, `IASTNode`

Enclosing interface:
  `IASTEnumerationSpecifier`

public static interface IASTEnumerationSpecifier.IASTEnumerator extends IASTNameOwner, IASTAttributeOwner
This interface represents an enumerator member of an enum specifier.

Restriction:
  This interface is not intended to be implemented by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final IASTEnumerationSpecifier.IASTEnumerator[]`
`EMPTY_ENUMERATOR_ARRAY`
Empty array (constant).
`static final ASTNodeProperty`
`ENUMERATOR_NAME`
`ENUMERATOR_NAME` describes the relationship between `IASTEnumerator` and `IASTName`.
`static final ASTNodeProperty`
`ENUMERATOR_VALUE`
`ENUMERATOR_VALUE` describes the relationship between `IASTEnumerator` and `IASTExpression`.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`ATTRIBUTE, ATTRIBUTE_SPECIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`r_declaration, r_definition, r_reference, r_unclear`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`IASTEnumerationSpecifier.IASTEnumerator`
`copy()`
Returns a mutable copy of the tree rooted at this node.
`IASTEnumerationSpecifier.IASTEnumerator`
`copy(IASTNode.CopyStyle style)`
Returns a mutable copy of the tree rooted at this node.
`IASTName`
`getName()`
Get the enumerator's name.
`IASTExpression`
`getValue()`
Returns enumerator value.
`void`
`setName(IASTName name)`
Set the enumerator's name.
`void`
`setValue(IASTExpression expression)`
Sets enumerator value.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`addAttribute, addAttributeSpecifier, getAttributes, getAttributeSpecifiers`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`getRoleForName`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

## Field Details

### EMPTY_ENUMERATOR_ARRAY

static final IASTEnumerationSpecifier.IASTEnumerator[] EMPTY_ENUMERATOR_ARRAY
Empty array (constant).

### ENUMERATOR_NAME

static final ASTNodeProperty ENUMERATOR_NAME
`ENUMERATOR_NAME` describes the relationship between `IASTEnumerator` and `IASTName`.

### ENUMERATOR_VALUE

static final ASTNodeProperty ENUMERATOR_VALUE
`ENUMERATOR_VALUE` describes the relationship between `IASTEnumerator` and `IASTExpression`.

## Method Details

### setName

void setName(IASTName name)
Set the enumerator's name.

Parameters:
  `name` -

### getName

IASTName getName()
Get the enumerator's name.

Returns:
  `IASTName`

### setValue

void setValue(IASTExpression expression)
Sets enumerator value.

Parameters:
  `expression` -

### getValue

IASTExpression getValue()
Returns enumerator value.

Returns:
  `IASTExpression` value

### copy

IASTEnumerationSpecifier.IASTEnumerator copy()
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTNode`
Since:
  5.1

### copy

IASTEnumerationSpecifier.IASTEnumerator copy(IASTNode.CopyStyle style)
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTNode`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3